/* Flasher! 

A good little test program that flashes leds..

*/

#include "pic_utils.h"

// Don't include CONFIG pragma when bootloading!

//#pragma DATA _CONFIG, _CP_OFF & _CCP1_RB0 & _DEBUG_OFF & _WRT_PROTECT_OFF & _CPD_OFF & _LVP_OFF & _PWRTE_OFF & _WDT_OFF & _PWRTE_ON & _BODEN_OFF &_MCLR_ON & _INTRC_IO  
//	   #pragma DATA    _CONFIG1H, _FOSC_HSPLL_1H & _IESO_OFF_1H
	   #pragma DATA    _CONFIG1H, _FOSC_HS_1H & _IESO_OFF_1H
	   #pragma DATA    _CONFIG2L, _BOREN_SBORDIS_2L & _BORV_30_2L & _PWRT_ON_2L
	   #pragma DATA    _CONFIG2H, _WDTEN_OFF_2H & _WDTPS_128_2H
	   #pragma DATA    _CONFIG3H, _CCP2MX_PORTC_3H & _PBADEN_OFF_3H & _MCLRE_ON_3H
	   #pragma DATA    _CONFIG4L, _STVREN_ON_4L & _LVP_OFF_4L & _DEBUG_OFF_4L & _XINST_OFF_4L
	   #pragma DATA    _CONFIG5L, _CP0_OFF_5L & _CP1_OFF_5L & _CP2_OFF_5L & _CP3_OFF_5L
	   #pragma DATA    _CONFIG5H, _CPB_OFF_5H & _CPD_OFF_5H
	   #pragma DATA    _CONFIG6L, _WRT0_OFF_6L & _WRT1_OFF_6L & _WRT2_OFF_6L & _WRT3_OFF_6L
	   #pragma DATA    _CONFIG6H, _WRTC_OFF_6H & _WRTB_OFF_6H & _WRTD_OFF_6H
	   #pragma DATA    _CONFIG7L, _EBTR0_OFF_7L & _EBTR1_OFF_7L & _EBTR2_OFF_7L & _EBTR3_OFF_7L
	   #pragma DATA    _CONFIG7H, _EBTRB_OFF_7H

// Set your clock speed in config.h


#define flash_port PORTA
#define flash_pin  0

// Need this interrupt when bootloading, even though it's empty

void interrupt () {
}

void flash() {
	toggle_pin(flash_port, flash_pin);
}		

void main() {

	make_output(flash_port, flash_pin);
	
	while (1) {
		// Let's flash!
		flash();

		// Tip! delay_ms etc only take 8 bit values
		// so delay_ms(500) will not do what we want.
		// So to delay for half a second, we do this twice:
		delay_ms(250);
		delay_ms(250);
	
	}		

}