#ifndef __config_h
#define __config_h
#include "platform.h"


// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 240
#define SERIAL_RX_BUFFER_SIZE 4
//#define SERIAL_DEBUG_ON
#define SERIAL_DISCARD_ON_TX_FULL_DURING_INT


// - - - - - - - - - - - - - - - - - - - - 
// pic_term defines
// - - - - - - - - - - - - - - - - - - - - 

#define TERM_BUFFER_SIZE	10
#define TERM_ALLOW_BOOSTBLOADER
#define TERM_ECHO_INPUT
// - - - - - - - - - - - 
// sht15 defines
// - - - - - - - - - - -

#define sht15_sck_port PORTC
#define sht15_sck_pin 3
#define sht15_sda_port PORTC
#define sht15_sda_pin 2

// - - - - - - - - - - -	
	
// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE EA_USB2SERIAL
#define PLATFORM_CLOCK 48000000
#include "platform.h"
#define PLATFORM_LEDS_FLASH_TICKS 100

// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on


#endif