#ifndef __config_h
#define __config_h
#include "platform.h"

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 16
#define SERIAL_RX_BUFFER_SIZE 4
//#define SERIAL_DEBUG_ON

// - - - - - - - - - - - - - - - - - - - - 
// soundout defines
// - - - - - - - - - - - - - - - - - - - - 
//p04
#define soundout_clk_port PORTC
#define soundout_clk_pin 2

//p05
#define soundout_data_port PORTC
#define soundout_data_pin 3

// don't define these if you don't want to use them
//
#define soundout_reset_port PORTC
#define soundout_reset_pin 4

//p06
#define soundout_busy_port PORTB
#define soundout_busy_pin 4

// - - - - - - - - - - - - - - - - - - - - 


// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -

#define PLATFORM_TYPE EA_PLT1003
#define PLATFORM_CLOCK 48000000


#endif