#ifndef __config_h
#define __config_h

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 16
#define SERIAL_RX_BUFFER_SIZE 4
//#define SERIAL_DEBUG_ON
//#define SERIAL_IDE_DEBUG

// - - - - - - - - - - - - - - - - - - - - 
// pic_term defines
// - - - - - - - - - - - - - - - - - - - - 

#define TERM_BUFFER_SIZE	10

// Reset (go to bootloader) if magic character received
#define TERM_ALLOW_BOOSTBLOADER
// Echo typing so user can see what they're doing
#define TERM_ECHO_INPUT

// - - - - - - - - - - - - - - - - - - - - 

// Create term_entry_callback in your own code
// void term_entry_callback(uns8 *term_buffer);

// - - - - - - - - - - - - - - - - - - - - 
// pic i2c defines
// - - - - - - - - - - - - - - - - - - - - 



#define i2c_scl_port PORTB
#define i2c_sda_port PORTB
#define i2c_scl_pin  3
#define i2c_sda_pin  4
/*
#define i2c_scl_port PORTC
#define i2c_sda_port PORTC
#define i2c_scl_pin  1
#define i2c_sda_pin  2
*/


// - - - - - - - - - - - - - - - - - - - - 
// TMP75 defines
// - - - - - - - - - - - - - - - - - - - - 

#define TMP75_ADDR 	0x00

// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE EA_WIRELESS_TEMP_SENSOR
#define PLATFORM_CLOCK 64000000
#include "platform.h"


#endif